dnl --- check for Herwig++ --
AC_DEFUN([COLORFULL_CHECK_MATCHBOX],
[
defaultlocation="${prefix}"
test "x$defaultlocation" = xNONE && defaultlocation="${ac_default_prefix}"
AC_MSG_CHECKING([for Matchbox/Matchbox in])
AC_ARG_WITH(matchbox,
        AC_HELP_STRING([--with-matchbox=DIR],[location of Matchbox installation]),
        [],
	[with_matchbox=no])
AC_MSG_RESULT([$with_matchbox])

AS_IF([test "x$with_matchbox" != "xno"],
      [AC_CHECK_FILES(
      ${with_matchbox}/bin/herwig-config,
      [have_matchbox=yes], [have_matchbox=no])],
      [have_matchbox=no])

AS_IF([test "x$have_matchbox" = "xyes"],
      [MATCHBOXCPPFLAGS=`${with_matchbox}/bin/herwig-config --cppflags`
       MATCHBOXLDFLAGS=`${with_matchbox}/bin/herwig-config --ldflags`
       MATCHBOXLDLIBS=`${with_matchbox}/bin/herwig-config --ldlibs`
       AC_SUBST(MATCHBOXCPPFLAGS)
       AC_SUBST(MATCHBOXLDFLAGS)
       AC_SUBST(MATCHBOXLDLIBS)
      ],
      [AS_IF([test "x$with_matchbox" != "xno"],
             [AC_MSG_ERROR([Matchbox build requested but Matchbox has not been detected.])
      ])
      ])
AM_CONDITIONAL(HAVE_MATCHBOX,[test "x$have_matchbox" = "xyes"])
])


